Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Type-Safe Access to BEA WebLogic Server 9.1 MBeans (Deprecated)
(Methods marked with @since 9.0.0.0 or later are not available through the deprecated `MBeanHome` interface.)

## weblogic.management.configuration
Interface RemoteSAFContextMBean

All Superinterfaces:
  ConfigurationMBean, weblogic.descriptor.DescriptorBean, DynamicMBean, MBeanRegistration, NotificationBroadcaster, weblogic.descriptor.SettableBean, weblogic.management.WebLogicMBean

public interface RemoteSAFContextMBean
extends ConfigurationMBean

Fake RemoteSAFContextMBean

### Deprecation of MBeanHome and Type-Safe Interfaces

This is a type-safe interface for a WebLogic Server MBean, which you can import into your client classes and access through `weblogic.management.MBeanHome`. As of 9.0, the `MBeanHome` interface and all type-safe interfaces for WebLogic Server MBeans are deprecated. Instead, client classes that interact with WebLogic Server MBeans should use standard JMX design patterns in which clients use the `javax.management.MBeanServerConnection` interface to discover MBeans, attributes, and attribute types at runtime. For more information, see "Developing Manageable Applications with JMX" on http://edocs.bea.com.

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Field Summary

Fields inherited from interface weblogic.management.configuration.ConfigurationMBean
`DEFAULT_EMPTY_BYTE_ARRAY`

Method Summary
`String` | `getJndiInitialContextFactory()` JndiInitialContextFactory
`String` | `getJndiProperty()` JndiProperty
`String` | `getPassword()` Password
`String` | `getProtocol()` Protocol
`String` | `getUrl()` URL
`String` | `getUsername()` UserName
`void` | `setJndiInitialContextFactory(String jndiInitialContextFactory)` Sets the value of the JndiInitialContextFactory attribute.
`void` | `setJndiProperty(String jndiProperty)` Sets the value of the JNDIProperty attribute.
`void` | `setPassword(String password)` Sets the value of the Password attribute.
`void` | `setProtocol(String protocol)` Sets the value of the protocol attribute.
`void` | `setUrl(String url)` Sets the value of the URL attribute.
`void` | `setUsername(String username)` Sets the value of the Username attribute.

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`freezeCurrentValue, getName, getNotes, isSet, restoreDefaultValue, setComments, setDefaultedMBean, setName, setNotes, setPersistenceEnabled, unSet`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Methods inherited from interface weblogic.descriptor.DescriptorBean
`addBeanUpdateListener, addPropertyChangeListener, createChildCopy, createChildCopyIncludingObsolete, getDescriptor, getParentBean, isEditable, removeBeanUpdateListener, removePropertyChangeListener`

Method Detail

### getJndiInitialContextFactory

    public String getJndiInitialContextFactory()

  JndiInitialContextFactory

  Returns:
    the JndiInitialContextFactory value
  A configurable MBean attribute.

### getJndiProperty

    public String getJndiProperty()

  JndiProperty

  Returns:
    the JndiProperty value
  A configurable MBean attribute.

### getPassword

    public String getPassword()

  Password

  Returns:
    The Password value
  A configurable MBean attribute.

### getProtocol

    public String getProtocol()

  Protocol

  Returns:
    The protocol value
  A configurable MBean attribute.

### getUrl

    public String getUrl()

  URL

  Returns:
    The URL value
  A configurable MBean attribute.

### getUsername

    public String getUsername()

  UserName

  Returns:
    The Username value
  A configurable MBean attribute.

### setJndiInitialContextFactory

    public void setJndiInitialContextFactory(String jndiInitialContextFactory)

  Sets the value of the JndiInitialContextFactory attribute.

  A dynamic MBean attribute.
    false

### setJndiProperty

    public void setJndiProperty(String jndiProperty)

  Sets the value of the JNDIProperty attribute.

  A dynamic MBean attribute.
    false

### setPassword

    public void setPassword(String password)

  Sets the value of the Password attribute.

  A dynamic MBean attribute.
    false

### setProtocol

    public void setProtocol(String protocol)

  Sets the value of the protocol attribute.

  A dynamic MBean attribute.
    false

### setUrl

    public void setUrl(String url)

  Sets the value of the URL attribute.

  A dynamic MBean attribute.
    false

### setUsername

    public void setUsername(String username)

  Sets the value of the Username attribute.

  A dynamic MBean attribute.
    false

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs91 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD